Support » Plugin: Yoast SEO » Polylang does not translate Yoast SEO titles and descriptions on the homepage

  • Resolved Gustavo Guerra

    (@gustavo-soares-guerra)


    I have installed the latest versions of the Yoast SEO and Polylang plugins.

    In Polylang I configured the Portuguese (main) and English languages. I don’t use a static page as my home page.

    In Yoast SEO, I defined the title and description of the homepage in Portuguese.

    Then, at Polylang, I translated the tags title-home-wpseo and metadesc-home-wpseo into English.

    But, when accessing the homepage of my website in the English version, the settings I made in Portuguese on Yoast SEO are displayed.

    And if I click on update Yoast SEO settings for the homepage, the English version is rewritten in Polylang to Portuguese.

    This error happens regardless of the languages registered in Polylang. In the rest of the site, translations work normally.

    Is there any incompatibility, am I doing something wrong or is it a bug?

    The page I need help with: [log in to see the link]

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Support Michael Tina

    (@mikes41720)

    Hi @gustavo-soares-guerra, we apologize for any issues we’ve caused with recent versions of Yoast SEO and its compatibility with Polylang.

    Polylang is still working on an update for compatibility with Yoast SEO 14.0, but you can view the progress of it here.

    we would suggest temporarily reverting to version 13.5 of the Yoast SEO plugin until the developers of the respective plugins release an update for compatibility with Yoast SEO version 14.

    You can revert back to the 13.5 version by downloading it and then performing a manual update of the plugin. You can download version 13.5 by performing the following steps:

    • ​Visit https://wordpress.org/plugins/wordpress-seo/advanced/
    • Click on the ‘Advanced View’ option (this is beneath the plugin version information near the bottom)
    • ​Under ‘Previous Version’ select the version
    • ​Click the ‘Download’ button.
    • After downloading the 13.5 version of the plugin, you would next need to perform a manual update of the plugin. We have instructions on how to upgrade the plugin manually at the following link — https://yoast.com/help/how-can-i-update-my-free-plugin/#ftp

      You will need an FTP program such as FileZilla and your FTP details, which can be obtained from your host provider.

    Same problem here, downgraded to 13.5 and it works fine again.

Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.